<?php

namespace Drupal\git_status\Form;

use Drupal\Core\Form\ConfigFormBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Configure git_status settings.
 */
class GitStatusSettingsConfigForm extends ConfigFormBase {

  /**
   * {@inheritdoc}
   */
  const SETTINGS = 'git_status.settings';

  /**
   * {@inheritdoc}
   */
  public function getFormId() {
    return 'git_status_admin_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames() {
    return [
      static::SETTINGS,
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $config = $this->config(static::SETTINGS);

    $form['git_path'] = [
      '#type' => 'textfield',
      '#title' => $this->t('Git Path'),
      '#default_value' => $config->get('git_path'),
    ];

    return parent::buildForm($form, $form_state);
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    // Retrieve the configuration.
    $this->configFactory->getEditable(static::SETTINGS)
      // Set the submitted configuration setting.
      ->set('git_path', $form_state->getValue('git_path'))
      ->save();

    parent::submitForm($form, $form_state);
  }

}
